NAME
	emote - emote

SYNOPSIS
	emote [message]
	: [message]

DESCRIPTION
	emote prints your name followed by the given message.

	[message] = Any string. Words enclosed by '|' characters are 
	taken to be names of people in the same room. The name is then 
	exchanged for the met/nonmet description relative to the observer.

	NB! If the indicated person isn't present or if the name can't be
	    parsed, an error message is given.

	e.g. ': smiles fondly at |anna| and raises his eyebrows.'

	'anna' in the example above will be exchanced for the non-met
	description for anyone in the room who hasn't been introduced
	to her. For the rest the capitalized version of the name
	(Anna) is displayed.

	If you have specified the option 'echo on', you will see the
	string you wrote, not the string that was displayed. The
	displayed string contains control sequences to make met/nonmet
	work and doesn't come out well in print.

	Please note that the pronoun 'you' is substituted for the
	objective of the emote if you specify a name within '|'
	characters. Keep this in mind for grammatical constructions,
	like ': looks at |denbarra| and |denbarra| looks back.'. 
	Denbarra will then get the string '<Your name> looks
	at you and you looks back.' which isn't exactly correct. 
	However, fixing that is beyond the ability of the coder. :) 
	The above construction is also in conflict with the general
	emote rules-of-conduct so perhaps it will never occur.

	Please also note that the parser is case-sensitive so that
	|<name>| will be substituded for 'you' in applicable cases and
	|<Name>| for 'You'.

        If you start an emote with a single quote, the space between your name
        and the single quote is removed, allowing for "Mercade's head...".

WARNING
	Be careful with what you emote. Harassment of players is not and
	will not be accepted. Emotions might be logged and writing your own
	emote command is a demoting offense.

SEE ALSO
	options
